Bug 9353 - Missing subfields on MARC21 frameworks
Summary: Missing subfields on MARC21 frameworks
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Cataloging (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Target Milestone: ---
Assignee: Bernardo Gonzalez Kriegel
QA Contact: Katrin Fischer
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-01-05 20:46 UTC by Bernardo Gonzalez Kriegel
Modified: 2014-05-26 21:04 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 9353 - Missing subfields on MARC21 frameworks (112.00 KB, patch)
2013-01-05 20:53 UTC, Bernardo Gonzalez Kriegel
Details | Diff | Splinter Review
Followup Bug 9353: Missing subfields on MARC21 frameworks (6.49 KB, patch)
2013-01-10 22:11 UTC, Bernardo Gonzalez Kriegel
Details | Diff | Splinter Review
Bug 9353 - Missing subfields on MARC21 frameworks (112.09 KB, patch)
2013-01-18 15:05 UTC, Kyle M Hall
Details | Diff | Splinter Review
Followup Bug 9353: Missing subfields on MARC21 frameworks (6.56 KB, patch)
2013-01-18 15:05 UTC, Kyle M Hall
Details | Diff | Splinter Review
[PASSED QA] Bug 9353 - Missing subfields on MARC21 frameworks (112.29 KB, patch)
2013-03-20 10:03 UTC, Katrin Fischer
Details | Diff | Splinter Review
[PASSED QA] Followup Bug 9353: Missing subfields on MARC21 frameworks (6.71 KB, patch)
2013-03-20 10:04 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Bernardo Gonzalez Kriegel 2013-01-05 20:46:38 UTC
MARC fields 029, 863, 864 and 865 don't
have corresponding subfields on default 
and example MARC21 frameworks
Comment 1 Bernardo Gonzalez Kriegel 2013-01-05 20:53:06 UTC Comment hidden (obsolete)
Comment 2 Nicole C. Engard 2013-01-10 15:50:13 UTC
Note that this only seems to apply for new installs - I don't see updatedatabase.pl file in the patch. Is that right?

Nicole
Comment 3 Bernardo Gonzalez Kriegel 2013-01-10 15:59:35 UTC
(In reply to comment #2)
> Note that this only seems to apply for new installs - I don't see
> updatedatabase.pl file in the patch. Is that right?

Yes, you are right. 
I'll look how to do that.

Bernardo
Comment 4 Bernardo Gonzalez Kriegel 2013-01-10 22:11:35 UTC Comment hidden (obsolete)
Comment 5 Kyle M Hall 2013-01-18 15:05:03 UTC Comment hidden (obsolete)
Comment 6 Kyle M Hall 2013-01-18 15:05:15 UTC Comment hidden (obsolete)
Comment 7 Katrin Fischer 2013-03-20 09:50:13 UTC
Hi Bernardo, could you provide a follow-up (maybe on a separate bug) for the fast add framework?
Comment 8 Katrin Fischer 2013-03-20 10:03:02 UTC
Created attachment 16466 [details] [review]
[PASSED QA] Bug 9353 - Missing subfields on MARC21 frameworks

This patch adds missing subfields on MARC fields

029abct
(http://www.oclc.org/bibformats/en/0xx/029.shtm)

863abcdefghijklmnopqstvwxz68 (same for 864/5)
(http://www.loc.gov/marc/holdings/hd863865.html)

To test:
1) dev master system with default and example MARC21 frameworks
2) Go to Home > Administration > MARC frameworks
3) Click on 'MARC structure' of any framework
4) Search for tag 029 (or 863/4/5)
5) Click 'Subfields', there are none.
6) Apply the patch
7) Replace old frameworks, easiest by command line:
mysql -uuser -ppass kohadb -e 'delete from biblio_framework; delete from marc_tag_structure; delete from marc_subfield_structure'
mysql -uuser -ppass kohadb < installer/data/mysql/en/marcflavour/marc21/mandatory/marc21_framework_DEFAULT.sql
mysql -uuser -ppass kohadb < installer/data/mysql/en/marcflavour/marc21/optional/marc21_simple_bib_frameworks.sql
8) Repeat steps 2-4
9) Click 'Subfields', now they are.

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Signed-off-by: Katrin Fischer <Katrin.Fischer.83@web.de>
Updated frameworks are ok.
Note: Only en frameworks are updated, so if other languages need
those fields too, we need some followups.
Also Fast Add framework is missing.
Comment 9 Katrin Fischer 2013-03-20 10:04:17 UTC
Created attachment 16467 [details] [review]
[PASSED QA] Followup Bug 9353: Missing subfields on MARC21 frameworks

This followup changes updatedatabase.pl.
Only touch frameworks that have the missing subfields.

If both patches are applied, the test plan changes.

To test:
1) dev master system with default and example MARC21 frameworks
2) Go to Home > Administration > MARC frameworks
3) Click on 'MARC structure' of any framework
4) Search for tag 029 (or 863/4/5)
5) Click 'Subfields', there are none.
6) Apply both patches
7) run 'perl installer/data/mysql/updatedatabase.pl'
8) Repeat steps 2-4
9) Click 'Subfields', now they are.

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Signed-off-by: Katrin Fischer <Katrin.Fischer.83@web.de>
Update works nicely. Checked various frameworks and
results were ok. Also new fields are hidden.
Comment 10 Jared Camins-Esakov 2013-03-20 18:48:04 UTC
This patch has been pushed to master.
Comment 11 Bernardo Gonzalez Kriegel 2013-08-04 13:42:28 UTC
Needed for Bug 5858

Pushed to 3.10.x, will be in 3.10.10
Comment 12 Chris Hall 2013-09-16 08:18:36 UTC
Pushed to 3.8.x, will be in 3.8.18